Skip to main content
POST
/
batch-calls
/
bulk-delete
Bulk Delete Batch Calls
curl --request POST \
  --url https://api.truedy.ai/api/public/v1/batch-calls/bulk-delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    "batch_m1n2o3p4",
    "batch_a1b2c3d4"
  ]
}
'
{
  "data": {
    "deleted_count": 2,
    "failed_count": 0,
    "deleted_ids": [
      "batch_m1n2o3p4",
      "batch_a1b2c3d4"
    ],
    "failed_ids": []
  },
  "meta": {
    "request_id": "req_32e7531c-8",
    "ts": "2026-03-10T17:00:00.000000Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Body

application/json
ids
string[]
required

IDs of resources to delete

Minimum array length: 1
Example:
["call_a1b2c3d4", "call_e5f6g7h8"]

Response

Batch calls deleted

data
object
required
meta
object
required